@ECHO OFF

ECHO Adding policies for XGS Japanese Time Policy Fix


SET DBHOST=localhost
SET /P DBHOST=DB Server\Instance (Hit Enter for localhost\default): %=%
SET DBUSER=
SET /P DBUSER=DB Username (Hit Enter for Trusted): %=%

SET DEBUGFILE=DebugOutput.txt
SET DEBUGFILE2=DebugOutput2.txt

IF "%DBUSER%"=="" (
	SET OSQLAUTHSTR=-E
	SET BCPAUTHSTR=-T
) ELSE (
	echo Note: Your password will not be hidden in this window.
	SET /P PASSSTR=Database password: %=%
)

rem For OS compatibility that doesn't require delayed variable expansion
IF "%DBUSER%" NEQ "" (
	SET OSQLAUTHSTR=-U%DBUSER% -P%PASSSTR%
	SET BCPAUTHSTR=-U%DBUSER% -P%PASSSTR%
)

rem Can use sqlcmd starting with SP9

sqlcmd -d RealSecureDB -S%DBHOST% %OSQLAUTHSTR% -w5000 -i iss_Document_Add.sql -o %DEBUGFILE%

sqlcmd -d RealSecureDB -S%DBHOST% %OSQLAUTHSTR% -w5000 -v ScriptPath="%~dp0" -i InsertPolicyDocuments.sql -o %DEBUGFILE%


IF ERRORLEVEL 1 GOTO ErrorCondition

echo Done!
GOTO EndBatch

:ErrorCondition
echo Error occurred -- ending script.

:EndBatch
pause
@ECHO ON

